HOW TO: Install Xposed Framework on Android 9.0 Pie devices

The Xposed Framework is a great tool to modify your Android OS provided the device is rooted. The framework supports module called the Xposed Module that can execute their own method to modify the Android system files in the way you want. There is a big hub of Xposed Repositorywhere you can browse a number of modules based on your demands.

Xposed Framework for Android Pie is now available to download and install via the unofficial channel. Android 9.0 Pie comes with API level 28 (SDK 28) which is entirely new in the market. Therefore, it may take a couple of months more to get the official SDK 28 package from the Xposed team.

But in the meantime, if you are Android enthusiast running Android 9.0 Pie on your device, and want to use your favorite modules, you can install the Xposed Framework on Pie using an unofficial method.

In this guide, you will be able to install Xposed Framework on your device running Android 9.0 API 28. But remember, this version of Xposed Framework is in the initial stage. So, it is quite certain; you may face some minor bugs.

Xposed Framework for Android Pie

This unofficial framework has been ported by Reddit user /u/theperfectwatermelon over on the /r/Xposed subreddit. This can be easily done by using a Magisk Module called EdXposed. It uses Riru as its core. Riru Magisk Module implements a process to inject codes into the zygote process.

Since the installation of Xposed Framework on Android Pie require Magisk Modules, you need to have Magisk Manager installed from before. If not, you can do that using the following guide:

  • Download: Download Magisk [all versions] ZIP
  • Guide: How to install Magisk on your Android devices

Warning: Since the Framework for Android Pie is in the alpha stage without full source code, it may be risky to install it on your device. We can confirm that this framework is functional on Android 9.0, but can’t give a guarantee on safety. We are not responsible if anything goes wrong using the Xposed Framework on Android Pie.

HOW TO: Install Xposed Framework on Android 9.0 Pie

Note: You need to flash Magisk Module ZIP file using Magisk Manager app. If you don’t know how to install Magisk Module, you can refer to this guide.

  1. Download and install Riru Core Magisk Module on your phone.
  2. After that, download EdXposed Magisk Module and install it.
  3. Once done, do reboot your device.
  4. Then, download Xposed Installer APK by DVDandroid and install it on your phone.
  5. You are done! Open the Xposed Installer app from the app drawer, and you will see the Xposed Framework version 90 is activated.

Credit: XDA Developer

XDA Developer has tested this framework using Magisk 18.0 on Google Pixel 3 XL. But it should work on the lower version of Magisk as well. Since this framework is installed via Magisk, it should be able to pass a SafetyNet attestation check because of its systemless nature. Therefore, you won’t face any problem using Google Pay and Pokemon GO.

But keep in mind that, this is not an official build of Xposed Framework for Pie from the original developer, and it’s not open source. This is an unofficial port of framework, so there are not many modules available in the repositories that support Android 9.0.

Xposed Framework for Oreo, Nougat and other versions

Official Xposed Framework is available up to Android 8.1 Oreo SDK (API) 27. We have a hub for all version of Xposed Framework, in case you have a lower version of Android, you can check out the following guide:

Leave a Reply

Your email address will not be published. Required fields are marked *